Bug 1688703 - [marketplace]The marketplace's pod will panic after updating the CSC
Summary: [marketplace]The marketplace's pod will panic after updating the CSC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.0
Assignee: Kevin Rizza
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 09:19 UTC by Fan Jia
Modified: 2019-06-04 10:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:45:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:45:56 UTC

Comment 1 Kevin Rizza 2019-03-15 15:13:12 UTC
This turned out to be an issue with the changes we made to cluster roles and how we handle deletion. A pr with a fix was just merged:

https://github.com/operator-framework/operator-marketplace/pull/136

Comment 3 Fan Jia 2019-03-18 08:56:03 UTC
I will check when the downstream image is ok, and change the status to "Verified" if the deletion of oprsc and csc work well.

Comment 6 errata-xmlrpc 2019-06-04 10:45:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.